Description

Running bundle install trying to upgrade Redmine 5.0.3 to 5.0.4 generates the following error

bundle install --without test development

Fetching gem metadata from https://rubygems.org/.........

Fetching gem metadata from https://rubygems.org/.

Resolving dependencies......

Using rake 13.0.6

Using concurrent-ruby 1.1.10

Using i18n 1.10.0

Using minitest 5.15.0

Using tzinfo 2.0.5

Fetching zeitwerk 2.6.6

ArgumentError: wrong number of arguments (given 4, expected 1)

An error occurred while installing zeitwerk (2.6.6), and Bundler cannot continue.

Make sure that `gem install zeitwerk -v '2.6.6' --source 'https://rubygems.org/'` succeeds before 

bundling.

In Gemfile:

  rails was resolved to 6.1.7, which depends on

    actioncable was resolved to 6.1.7, which depends on

      actionpack was resolved to 6.1.7, which depends on

        actionview was resolved to 6.1.7, which depends on

          rails-dom-testing was resolved to 2.0.3, which depends on

            activesupport was resolved to 6.1.7, which depends on

              zeitwerk

History

#1 - 2022-12-03 12:42 - Marius BĂLTEANU

- Status changed from New to Needs feedback

It works on my environment with Ruby 3.0, please see the logs below.

What version of Ruby do you use?

root@7b37c85e3ac2:/work# bundle install --without test development

[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocatio

ns, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 

'test development'`, and stop using this flag

Fetching gem metadata from https://rubygems.org/.........

Resolving dependencies....

Using rake 13.0.6

Using concurrent-ruby 1.1.10

Using minitest 5.16.3

Using erubi 1.11.0

Using builder 3.2.4

Using nio4r 2.5.8

Fetching zeitwerk 2.6.6

Using racc 1.6.0

Using websocket-extensions 0.1.5
Using marcel 1.0.2

Using mini_mime 1.1.2

Using method_source 1.0.0

Using crass 1.0.6

Using thor 1.2.1

Using rack 2.2.4

Using chunky_png 1.4.0

Using public_suffix 5.0.0

Using bundler 2.2.33

Using csv 3.2.5

Using mini_magick 4.11.0

Using timeout 0.3.0

Using digest 3.1.0

Using net-ldap 0.17.1

Using commonmarker 0.23.6

Using pg 1.2.3

Using rbpdf-font 1.19.1

Using redcarpet 3.5.1

Using rexml 3.2.5

Using rouge 3.28.0

Using rqrcode_core 1.2.0

Fetching rotp 6.2.1

Using strscan 3.0.4

Using htmlentities 4.3.4

Using rubyzip 2.3.2

Using tzinfo 2.0.5

Fetching nokogiri 1.13.9 (aarch64-linux)

Using websocket-driver 0.7.5

Using mail 2.7.1

Using rack-test 2.0.2

Using i18n 1.10.0

Using sprockets 4.1.1

Using request_store 1.5.1

Using addressable 2.8.1

Using net-protocol 0.1.3

Using rbpdf 1.20.1

Using rqrcode 2.1.2

Fetching css_parser 1.12.0

Using net-imap 0.2.3

Fetching net-pop 0.1.2

Installing zeitwerk 2.6.6

Installing net-pop 0.1.2

Installing rotp 6.2.1

Installing css_parser 1.12.0

Fetching net-smtp 0.3.3

Using activesupport 6.1.7

Using globalid 1.0.0

Using activemodel 6.1.7

Using activejob 6.1.7

Using activerecord 6.1.7

Installing net-smtp 0.3.3

Installing nokogiri 1.13.9 (aarch64-linux)

Using loofah 2.19.0

Fetching roadie 5.1.0

Using sanitize 6.0.0

Using rails-dom-testing 2.0.3

Using html-pipeline 2.13.2

Using rails-html-sanitizer 1.4.3

Using actionview 6.1.7

Using deckar01-task_list 2.3.2

Using actionpack 6.1.7

Using activestorage 6.1.7

Using actionmailer 6.1.7

Using railties 6.1.7

Using sprockets-rails 3.4.2

Using actioncable 6.1.7

Using actionpack-xml_parser 2.0.1

Using actionmailbox 6.1.7

Using actiontext 6.1.7

Using rails 6.1.7

Installing roadie 5.1.0

Using roadie-rails 3.0.0

Bundle complete! 43 Gemfile dependencies, 74 gems now installed.
#2 - 2022-12-03 12:46 - Fernando Hartmann

$ ruby -v

ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux-gnu]

$  rails -v

Rails 6.1.7

#3 - 2022-12-03 14:21 - Marius BĂLTEANU

- Subject changed from Error on "bulndle install" whem fetching zeitwerk on Redmine 5.0.4 upgrade  to Error on "bundle install" when fetching zeitwerk

on Redmine 5.0.4 upgrade 

#4 - 2022-12-03 14:33 - Marius BĂLTEANU

It works also on Ruby 2.5.1 in my environment.

Some ideas:

It could be related to the "psych" gem version. Which is in your case?

"gem install zeitwerk -v '2.6.6' --source 'https://rubygems.org/'' what error returns?

root@b52161230a89:/work# ruby -v

ruby 2.5.1p57 (2018-03-29 revision 63029) [aarch64-linux]

root@b52161230a89:/work# rails -v

Rails 6.1.7

 
root@b52161230a89:/work# bundle install

The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is

 installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platfo

rms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.

The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is install

ing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to t

he bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.

Fetching gem metadata from https://rubygems.org/.........

Fetching gem metadata from https://rubygems.org/.

Resolving dependencies...

Fetching rake 13.0.6

Installing rake 13.0.6

Fetching concurrent-ruby 1.1.10

Installing concurrent-ruby 1.1.10

Fetching i18n 1.10.0

Installing i18n 1.10.0

Fetching minitest 5.15.0

Installing minitest 5.15.0

Fetching tzinfo 2.0.5

Installing tzinfo 2.0.5

Fetching zeitwerk 2.6.6

Installing zeitwerk 2.6.6

Fetching activesupport 6.1.7

Installing activesupport 6.1.7

Fetching builder 3.2.4

Installing builder 3.2.4

Fetching erubi 1.11.0

Installing erubi 1.11.0

Fetching mini_portile2 2.6.1

Installing mini_portile2 2.6.1

Fetching racc 1.6.0

Installing racc 1.6.0 with native extensions

Fetching nokogiri 1.12.5

Installing nokogiri 1.12.5 with native extensions

Fetching rails-dom-testing 2.0.3

Installing rails-dom-testing 2.0.3

Fetching crass 1.0.6

Installing crass 1.0.6

Fetching loofah 2.19.0

Installing loofah 2.19.0

Fetching rails-html-sanitizer 1.4.3

Installing rails-html-sanitizer 1.4.3

Fetching actionview 6.1.7

Installing actionview 6.1.7

Fetching rack 2.2.4

Installing rack 2.2.4

Fetching rack-test 2.0.2

Installing rack-test 2.0.2
Fetching actionpack 6.1.7

Installing actionpack 6.1.7

Fetching nio4r 2.5.8

Installing nio4r 2.5.8 with native extensions

Fetching websocket-extensions 0.1.5

Installing websocket-extensions 0.1.5

Fetching websocket-driver 0.7.5

Installing websocket-driver 0.7.5 with native extensions

Fetching actioncable 6.1.7

Installing actioncable 6.1.7

Fetching globalid 0.4.2

Installing globalid 0.4.2

Fetching activejob 6.1.7

Installing activejob 6.1.7

Fetching activemodel 6.1.7

Installing activemodel 6.1.7

Fetching activerecord 6.1.7

Installing activerecord 6.1.7

Fetching marcel 1.0.2

Installing marcel 1.0.2

Fetching mini_mime 1.1.2

Installing mini_mime 1.1.2

Fetching activestorage 6.1.7

Installing activestorage 6.1.7

Fetching mail 2.7.1

Installing mail 2.7.1

Fetching actionmailbox 6.1.7

Installing actionmailbox 6.1.7

Fetching actionmailer 6.1.7

Installing actionmailer 6.1.7

Fetching method_source 1.0.0

Installing method_source 1.0.0

Fetching thor 1.2.1

Installing thor 1.2.1

Fetching railties 6.1.7

Installing railties 6.1.7

Fetching actionpack-xml_parser 2.0.1

Installing actionpack-xml_parser 2.0.1

Fetching actiontext 6.1.7

Installing actiontext 6.1.7

Fetching public_suffix 4.0.7

Installing public_suffix 4.0.7

Fetching addressable 2.8.1

Installing addressable 2.8.1

Fetching ast 2.4.2

Installing ast 2.4.2

Using bundler 1.16.6

Fetching regexp_parser 2.6.1

Installing regexp_parser 2.6.1

Fetching xpath 3.2.0

Installing xpath 3.2.0

Fetching capybara 3.35.3

Installing capybara 3.35.3

Fetching childprocess 3.0.0

Installing childprocess 3.0.0

Fetching chunky_png 1.4.0

Installing chunky_png 1.4.0

Fetching ruby-enum 0.9.0

Installing ruby-enum 0.9.0

Fetching commonmarker 0.21.0

Installing commonmarker 0.21.0 with native extensions

Fetching css_parser 1.12.0

Installing css_parser 1.12.0

Fetching csv 3.2.5

Installing csv 3.2.5

Fetching html-pipeline 2.13.2

Installing html-pipeline 2.13.2

Fetching deckar01-task_list 2.3.2

Installing deckar01-task_list 2.3.2

Fetching digest 3.1.0

Installing digest 3.1.0 with native extensions

Fetching docile 1.4.0

Installing docile 1.4.0

Fetching ffi 1.15.5

Installing ffi 1.15.5 with native extensions
Fetching htmlentities 4.3.4

Installing htmlentities 4.3.4

Fetching io-wait 0.2.3

Installing io-wait 0.2.3 with native extensions

Fetching rb-fsevent 0.11.2

Installing rb-fsevent 0.11.2

Fetching rb-inotify 0.10.1

Installing rb-inotify 0.10.1

Fetching listen 3.7.1

Installing listen 3.7.1

Fetching mini_magick 4.11.0

Installing mini_magick 4.11.0

Fetching mocha 1.16.1

Installing mocha 1.16.1

Fetching timeout 0.3.0

Installing timeout 0.3.0

Fetching net-protocol 0.1.2

Installing net-protocol 0.1.2

Fetching strscan 3.0.4

Installing strscan 3.0.4 with native extensions

Fetching net-imap 0.2.2

Installing net-imap 0.2.2

Fetching net-ldap 0.17.1

Installing net-ldap 0.17.1

Fetching net-pop 0.1.2

Installing net-pop 0.1.2

Fetching net-smtp 0.3.0

Installing net-smtp 0.3.0

Fetching parallel 1.22.1

Installing parallel 1.22.1

Fetching parser 3.1.3.0

Installing parser 3.1.3.0

Fetching pg 1.2.3

Installing pg 1.2.3 with native extensions

Fetching stringio 3.0.2

Installing stringio 3.0.2 with native extensions

Fetching psych 4.0.6

Installing psych 4.0.6 with native extensions

Fetching puma 5.6.5

Installing puma 5.6.5 with native extensions

Fetching sprockets 4.1.1

Installing sprockets 4.1.1

Fetching sprockets-rails 3.4.2

Installing sprockets-rails 3.4.2

Fetching rails 6.1.7

Installing rails 6.1.7

Fetching rainbow 3.1.1

Installing rainbow 3.1.1

Fetching rbpdf-font 1.19.1

Installing rbpdf-font 1.19.1

Fetching rbpdf 1.20.1

Installing rbpdf 1.20.1

Fetching redcarpet 3.5.1

Installing redcarpet 3.5.1 with native extensions

Fetching request_store 1.5.1

Installing request_store 1.5.1

Fetching rexml 3.2.5

Installing rexml 3.2.5

Fetching roadie 4.0.0

Installing roadie 4.0.0

Fetching roadie-rails 2.2.0

Installing roadie-rails 2.2.0

Fetching rotp 6.2.1

Installing rotp 6.2.1

Fetching rouge 3.28.0

Installing rouge 3.28.0

Fetching rqrcode_core 1.2.0

Installing rqrcode_core 1.2.0

Fetching rqrcode 2.1.2

Installing rqrcode 2.1.2

Fetching rubocop-ast 1.17.0

Installing rubocop-ast 1.17.0

Fetching ruby-progressbar 1.11.0

Installing ruby-progressbar 1.11.0

Fetching unicode-display_width 2.3.0
Installing unicode-display_width 2.3.0

Fetching rubocop 1.26.1

Installing rubocop 1.26.1

Fetching rubocop-performance 1.13.3

Installing rubocop-performance 1.13.3

Fetching rubocop-rails 2.14.2

Installing rubocop-rails 2.14.2

Fetching rubyzip 2.3.2

Installing rubyzip 2.3.2

Fetching sanitize 6.0.0

Installing sanitize 6.0.0

Fetching selenium-webdriver 3.142.7

Installing selenium-webdriver 3.142.7

Fetching simplecov-html 0.12.3

Installing simplecov-html 0.12.3

Fetching simplecov_json_formatter 0.1.4

Installing simplecov_json_formatter 0.1.4

Fetching simplecov 0.21.2

Installing simplecov 0.21.2

Fetching webdrivers 4.6.1

Installing webdrivers 4.6.1

Fetching webrick 1.7.0

Installing webrick 1.7.0

Fetching yard 0.9.28

Installing yard 0.9.28

Bundle complete! 44 Gemfile dependencies, 107 gems now installed.

Bundled gems are installed into `/usr/local/bundle`

Post-install message from html-pipeline:

-------------------------------------------------

Thank you for installing html-pipeline!

You must bundle Filter gem dependencies.

See html-pipeline README.md for more details.

https://github.com/jch/html-pipeline#dependencies

-------------------------------------------------

Post-install message from rubyzip:

RubyZip 3.0 is coming!

**********************

The public API of some Rubyzip classes has been modernized to use named

parameters for optional arguments. Please check your usage of the

following classes:

  * `Zip::File`

  * `Zip::Entry`

  * `Zip::InputStream`

  * `Zip::OutputStream`

Please ensure that your Gemfiles and .gemspecs are suitably restrictive

to avoid an unexpected breakage when 3.0 is released (e.g. ~> 2.3.0).

See https://github.com/rubyzip/rubyzip for details. The Changelog also

lists other enhancements and bugfixes that have been implemented since

version 2.3.0.

#5 - 2022-12-03 17:03 - Fernando Hartmann

Marius BALTEANU wrote:

It works also on Ruby 2.5.1 in my environment.

Some ideas:

It could be related to the "psych" gem version. Which is in your case?

 
psych (4.0.6, default: 3.0.2)

 "gem install zeitwerk -v '2.6.6' --source 'https://rubygems.org/'' what error returns?

 
$ gem install zeitwerk -v '2.6.6'

ERROR:  While executing gem ... (ArgumentError)

    wrong number of arguments (given 4, expected 1)

 My Gem List
$  gem list

*** LOCAL GEMS ***

actioncable (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

actionmailbox (6.1.7, 6.1.6, 6.1.4.7)

actionmailer (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

actionpack (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

actionpack-xml_parser (2.0.1)

actiontext (6.1.7, 6.1.6, 6.1.4.7)

actionview (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

activejob (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

activemodel (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

activerecord (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

activestorage (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

activesupport (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

addressable (2.8.1, 2.8.0, 2.7.0, 2.6.0)

arel (9.0.0)

ast (2.4.2, 2.4.0)

bigdecimal (default: 1.3.4)

builder (3.2.4, 3.2.3)

bundler (2.0.1)

capybara (3.35.3, 3.31.0, 3.25.0, 2.18.0)

childprocess (3.0.0, 1.0.1)

chunky_png (1.4.0)

cmath (default: 1.0.0)

commonmarker (0.21.0)

concurrent-ruby (1.1.10, 1.1.9, 1.1.8, 1.1.6, 1.1.5, 1.1.4)

crass (1.0.6, 1.0.5, 1.0.4)

css_parser (1.12.0, 1.11.0, 1.10.0, 1.9.0, 1.7.1, 1.7.0)

csv (3.2.5, 3.2.3, 3.2.2, 3.1.9, 3.1.3, 3.1.2, 3.0.9, 3.0.4, default: 1.0.0)

date (default: 1.0.0)

dbm (default: 1.0.0)

deckar01-task_list (2.3.2)

did_you_mean (1.2.0)

digest (3.1.0)

docile (1.4.0, 1.3.5, 1.3.2, 1.1.5)

erubi (1.11.0, 1.10.0, 1.9.0, 1.8.0)

etc (default: 1.0.0)

fcntl (default: 1.0.0)

ffi (1.15.5)

fiddle (default: 1.0.0)

fileutils (default: 1.0.2)

gdbm (default: 2.0.0)

globalid (0.4.2)

html-pipeline (2.13.2)

htmlentities (4.3.4)

i18n (1.10.0, 1.8.11, 1.8.10, 1.8.9, 1.6.0, 0.7.0)

io-console (default: 0.4.6)

io-wait (0.2.3, 0.1.0)

ipaddr (default: 1.2.0)

jaro_winkler (1.5.4)

json (2.3.0, 2.2.0, default: 2.1.0)

listen (3.7.1)

loofah (2.19.0, 2.18.0, 2.16.0, 2.14.0, 2.12.0, 2.11.0, 2.9.1, 2.9.0, 2.5.0, 2.4.0, 2.2.3)

mail (2.7.1)

marcel (1.0.2, 1.0.1, 1.0.0, 0.3.3)

metaclass (0.0.4)

method_source (1.0.0, 0.9.2)

mimemagic (0.3.5, 0.3.3)

mini_magick (4.11.0, 4.9.5)

mini_mime (1.1.2, 1.0.3, 1.0.2, 1.0.1)

mini_portile2 (2.6.1, 2.5.3, 2.5.0, 2.4.0)

minitest (5.15.0, 5.14.4, 5.14.1, 5.13.0, 5.11.3, 5.10.3)

mocha (1.15.0, 1.14.0, 1.13.0, 1.12.0, 1.11.2, 1.11.1, 1.8.0)

mysql2 (0.5.4, 0.5.3, 0.5.2)

net-imap (0.2.2)

net-ldap (0.17.1, 0.17.0, 0.16.2, 0.16.1)

net-pop (0.1.2, 0.1.1)

net-protocol (0.1.2)

net-smtp (0.3.0)

net-telnet (0.1.1)

nio4r (2.5.8, 2.5.7, 2.5.2, 2.3.1)

nokogiri (1.12.5 x86_64-linux, 1.11.7 x86_64-linux, 1.11.3 x86_64-linux, 1.11.2 x86_64-linux, 1.10.9, 1.10.7, 

1.10.3, 1.10.1)
openssl (default: 2.1.1)

parallel (1.22.1, 1.21.0, 1.20.1, 1.19.1)

parser (3.1.2.1, 3.1.2.0, 3.1.1.0, 3.0.2.0, 3.0.1.0, 3.0.0.0, 2.7.1.2, 2.7.0.1)

power_assert (0.2.7)

psych (4.0.6, default: 3.0.2)

public_suffix (4.0.7, 4.0.6, 4.0.5, 4.0.2, 3.1.0, 3.0.3)

puma (6.0.0, 5.6.5, 5.6.4, 5.6.2, 5.5.2, 5.4.0, 5.2.2, 3.12.4, 3.12.2, 3.12.1)

racc (1.6.0, 1.5.2)

rack (2.2.4, 2.2.3, 2.2.2, 2.0.8, 2.0.7, 2.0.6, 1.6.4)

rack-openid (1.4.2)

rack-test (2.0.2, 1.1.0)

rails (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

rails-dom-testing (2.0.3)

rails-html-sanitizer (1.4.3, 1.4.2, 1.3.0, 1.0.4)

railties (6.1.7, 6.1.6, 6.1.4.7, 5.2.6.2, 5.2.6, 5.2.5, 5.2.4.2, 5.2.4.1, 5.2.3, 5.2.2.1, 5.2.2)

rainbow (3.1.1, 3.0.0)

rake (13.0.6, 13.0.3, 13.0.1, 12.3.2, 12.3.1)

rb-fsevent (0.11.2, 0.11.1)

rb-inotify (0.10.1)

rbpdf (1.20.1, 1.19.8)

rbpdf-font (1.19.1)

rdoc (default: 6.0.1)

redcarpet (3.5.1, 3.5.0, 3.4.0)

regexp_parser (2.6.0, 2.5.0, 2.4.0, 2.2.1, 1.8.2, 1.7.0, 1.6.0)

request_store (1.5.1, 1.5.0, 1.4.1, 1.0.5)

rexml (3.2.5, 3.2.4)

rmagick (2.16.0)

roadie (4.0.0, 3.5.1, 3.5.0, 3.4.0)

roadie-rails (2.2.0, 2.1.1, 2.1.0, 1.3.0)

rotp (6.2.0)

rouge (3.28.0, 3.26.1, 3.26.0, 3.12.0, 3.3.0)

rqrcode (2.1.2, 2.1.1, 2.1.0, 2.0.0, 1.2.0)

rqrcode_core (1.2.0, 1.1.0, 0.2.0)

rubocop (1.26.1, 1.12.1, 1.12.0, 0.76.0)

rubocop-ast (1.17.0, 1.16.0, 1.12.0, 1.8.0, 1.4.1)

rubocop-performance (1.13.3, 1.10.2, 1.5.2)

rubocop-rails (2.14.2, 2.9.1, 2.3.2)

ruby-enum (0.9.0)

ruby-openid (2.9.2, 2.3.0)

ruby-progressbar (1.11.0, 1.10.1)

rubyzip (2.3.2, 2.3.0, 2.0.0, 1.2.3, 1.2.2)

sanitize (6.0.0)

scanf (default: 1.0.0)

sdbm (default: 1.0.0)

selenium-webdriver (3.142.7, 3.142.3, 3.142.2)

simplecov (0.21.2, 0.18.5, 0.17.1, 0.14.1)

simplecov-html (0.12.3, 0.10.2)

simplecov_json_formatter (0.1.4)

sprockets (4.1.1, 4.0.3, 4.0.2, 4.0.0, 3.7.2)

sprockets-rails (3.4.2, 3.2.2, 3.2.1)

stringio (3.0.2, default: 0.0.1)

strscan (3.0.4, 3.0.3, 3.0.1, default: 1.0.0)

test-unit (3.2.5)

thor (1.2.1, 1.1.0, 1.0.1, 0.20.3)

thread_safe (0.3.6)

timeout (0.3.0, 0.2.0)

tzinfo (2.0.5, 2.0.4, 1.2.9, 1.2.7, 1.2.6, 1.2.5)

unicode-display_width (2.3.0, 2.2.0, 2.1.0, 2.0.0, 1.6.1, 1.6.0)

webdrivers (4.6.1, 4.6.0)

webrick (1.7.0, default: 1.4.2)

websocket-driver (0.7.5, 0.7.3, 0.7.1, 0.7.0)

websocket-extensions (0.1.5, 0.1.4, 0.1.3)

xpath (3.2.0)

yard (0.9.28, 0.9.27, 0.9.26, 0.9.25, 0.9.20, 0.9.19)

zeitwerk (2.6.1, 2.6.0, 2.5.4)

zlib (default: 1.0.0)

 Thanks work here

#6 - 2022-12-03 18:18 - Marius BĂLTEANU

Can you try removing both psych gem versions in order to run the bundle install? I think it should be “gem uninstall psych”.

#7 - 2022-12-04 14:51 - Fernando Hartmann
Marius BALTEANU wrote:

Can you try removing both psych gem versions in order to run the bundle install? I think it should be “gem uninstall psych”.

 YES! it solved the problem.

Fetching gem metadata from https://rubygems.org/.

Resolving dependencies........

Using rake 13.0.6

Using concurrent-ruby 1.1.10

Using i18n 1.10.0

Using minitest 5.15.0

Using tzinfo 2.0.5

Fetching zeitwerk 2.6.6

Installing zeitwerk 2.6.6

Using activesupport 6.1.7

Using builder 3.2.4

Using erubi 1.11.0

Using mini_portile2 2.6.1

Using racc 1.6.0

Using nokogiri 1.12.5 (x86_64-linux)

Using rails-dom-testing 2.0.3

Using crass 1.0.6

Using loofah 2.19.0

Using rails-html-sanitizer 1.4.3

Using actionview 6.1.7

Using rack 2.2.4

Using rack-test 2.0.2

Using actionpack 6.1.7

Using nio4r 2.5.8

Using websocket-extensions 0.1.5

Using websocket-driver 0.7.5

Using actioncable 6.1.7

Using globalid 0.4.2

Using activejob 6.1.7

Using activemodel 6.1.7

Using activerecord 6.1.7

Using marcel 1.0.2

Using mini_mime 1.1.2

Using activestorage 6.1.7

Using mail 2.7.1

Using actionmailbox 6.1.7

Using actionmailer 6.1.7

Using method_source 1.0.0

Using thor 1.2.1

Using railties 6.1.7

Using actionpack-xml_parser 2.0.1

Using actiontext 6.1.7

Using public_suffix 4.0.7

Using addressable 2.8.1

Using bundler 2.0.1

Using chunky_png 1.4.0

Using ruby-enum 0.9.0

Using commonmarker 0.21.0

Using css_parser 1.12.0

Using csv 3.2.5

Using html-pipeline 2.13.2

Using deckar01-task_list 2.3.2

Using digest 3.1.0

Using htmlentities 4.3.4

Using io-wait 0.2.3

Using mini_magick 4.11.0

Using mysql2 0.5.4

Using timeout 0.3.0

Using net-protocol 0.1.2

Using strscan 3.0.4

Using net-imap 0.2.2

Using net-ldap 0.17.1

Using net-pop 0.1.2

Using net-smtp 0.3.0

Using stringio 3.0.2

Fetching psych 4.0.6

Installing psych 4.0.6 with native extensions

Using sprockets 4.1.1
Using sprockets-rails 3.4.2

Using rails 6.1.7

Using rbpdf-font 1.19.1

Using rbpdf 1.20.1

Using redcarpet 3.5.1

Using request_store 1.5.1

Using roadie 4.0.0

Using roadie-rails 2.2.0

Fetching rotp 6.2.1

Installing rotp 6.2.1

Using rouge 3.28.0

Using rqrcode_core 1.2.0

Using rqrcode 2.1.2

Using rubyzip 2.3.2

Using sanitize 6.0.0

 Thanks for you help.

#8 - 2022-12-04 17:33 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Invalid

Thanks for your feedback, happy to help.
